| TagLib 1.13 |  |

Public Types | Public Member Functions | Static Public Member Functions | List of all members
TagLib::WavPack::File Class Reference

An implementation of TagLib::File with WavPack specific methods. More...

`#include <wavpackfile.h>`

Inheritance diagram for TagLib::WavPack::File:
[legend]
Collaboration diagram for TagLib::WavPack::File:
[legend]

## Public Types
enum | TagTypes { NoTags = 0x0000 , ID3v1 = 0x0001 , APE = 0x0002 , AllTags = 0xffff }
Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }

## Public Member Functions
| File (FileName file, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| File (IOStream *stream, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
virtual | ~File ()
virtual TagLib::Tag * | tag () const
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &)
virtual Properties * | audioProperties () const
virtual bool | save ()
ID3v1::Tag * | ID3v1Tag (bool create=false)
APE::Tag * | APETag (bool create=false)
void | strip (int tags=AllTags)
bool | hasID3v1Tag () const
bool | hasAPETag () const
Public Member Functions inherited from TagLib::File
virtual | ~File ()
FileName | name () const
virtual Tag * | tag () const =0
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual AudioProperties * | audioProperties () const =0
virtual bool | save ()=0
ByteVector | readBlock (unsigned long length)
void | writeBlock (const ByteVector &data)
long | find (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
long | rfind (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, unsigned long start=0, unsigned long replace=0)
void | removeBlock (unsigned long start=0, unsigned long length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (long offset, Position p=Beginning)
void | clear ()
long | tell () const
long | length ()

## Static Public Member Functions
static bool | isSupported (IOStream *stream)
Static Public Member Functions inherited from TagLib::File
static TAGLIB_DEPRECATED bool | isReadable (const char *file)
static TAGLIB_DEPRECATED bool | isWritable (const char *name)

## Additional Inherited Members
Protected Member Functions inherited from TagLib::File
| File (FileName file)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (long length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of TagLib::File with WavPack specific methods.

This implements and provides an interface for WavPack files to the TagLib::Tag and TagLib::AudioProperties interfaces by way of implementing the abstract TagLib::File API as well as providing some additional information specific to WavPack files.

## Member Enumeration Documentation

## ◆ TagTypes

enum TagLib::WavPack::File::TagTypes

This set of flags is used for various operations and is suitable for being OR-ed together.

Enumerator
NoTags | Empty set. Matches no tag types.
ID3v1 | Matches ID3v1 tags.
APE | Matches APE tags.
AllTags | Matches all tag types.

## Constructor & Destructor Documentation

## ◆ File() [1/2]

TagLib::WavPack::File::File | ( | FileName | file,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs a WavPack file from file. If readProperties is true the file's audio properties will also be read using propertiesStyle. If false, propertiesStyle is ignored

## ◆ File() [2/2]

TagLib::WavPack::File::File | ( | IOStream * | stream,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs an WavPack file from file. If readProperties is true the file's audio properties will also be read using propertiesStyle. If false, propertiesStyle is ignored.

Note
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.

## ◆ ~File()

virtual TagLib::WavPack::File::~File | ( |  | ) |
| virtual

Destroys this instance of the File.

Reimplemented from TagLib::File.

## Member Function Documentation

## ◆ APETag()

APE::Tag * TagLib::WavPack::File::APETag | ( | bool | create = `false` | ) |

Returns a pointer to the APE tag of the file.

If create is false (the default) this may return a null pointer if there is no valid APE tag. If create is true it will create an APE tag if one does not exist and returns a valid pointer.

Note
  This may return a valid pointer regardless of whether or not the file on disk has an APE tag. Use hasAPETag() to check if the file on disk actually has an APE tag.
  The Tag is still owned by the MPEG::File and should not be deleted by the user. It will be deleted when the file (object) is destroyed.

See also
  hasAPETag()

## ◆ audioProperties()

virtual Properties * TagLib::WavPack::File::audioProperties | ( |  | ) | const
| virtual

Returns the MPC::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## ◆ hasAPETag()

bool TagLib::WavPack::File::hasAPETag | ( |  | ) | const

Returns whether or not the file on disk actually has an APE tag.

See also
  APETag()

## ◆ hasID3v1Tag()

bool TagLib::WavPack::File::hasID3v1Tag | ( |  | ) | const

Returns whether or not the file on disk actually has an ID3v1 tag.

See also
  ID3v1Tag()

## ◆ ID3v1Tag()

ID3v1::Tag * TagLib::WavPack::File::ID3v1Tag | ( | bool | create = `false` | ) |

Returns a pointer to the ID3v1 tag of the file.

If create is false (the default) this may return a null pointer if there is no valid ID3v1 tag. If create is true it will create an ID3v1 tag if one does not exist and returns a valid pointer.

Note
  This may return a valid pointer regardless of whether or not the file on disk has an ID3v1 tag. Use hasID3v1Tag() to check if the file on disk actually has an ID3v1 tag.
  The Tag is still owned by the MPEG::File and should not be deleted by the user. It will be deleted when the file (object) is destroyed.

See also
  hasID3v1Tag()

## ◆ isSupported()

static bool TagLib::WavPack::File::isSupported | ( | IOStream * | stream | ) |
| static

Check if the given stream can be opened as a WavPack file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

## ◆ properties()

PropertyMap TagLib::WavPack::File::properties | ( |  | ) | const

Implements the unified property interface – export function. If the file contains both an APE and an ID3v1 tag, only APE will be converted to the PropertyMap.

## ◆ removeUnsupportedProperties()

void TagLib::WavPack::File::removeUnsupportedProperties | ( | const StringList & | properties | ) |

## ◆ save()

virtual bool TagLib::WavPack::File::save | ( |  | ) |
| virtual

Saves the file.

This returns true if the save was successful.

Implements TagLib::File.

## ◆ setProperties()

PropertyMap TagLib::WavPack::File::setProperties | ( | const PropertyMap & |  | ) |

Implements the unified property interface – import function. Creates an APE tag if it does not exists and calls setProperties() on that. Any existing ID3v1 tag will be updated as well.

## ◆ strip()

void TagLib::WavPack::File::strip | ( | int | tags = `AllTags` | ) |

This will remove the tags that match the OR-ed together TagTypes from the file. By default it removes all tags.

Note
  This will also invalidate pointers to the tags as their memory will be freed.
  In order to make the removal permanent save() still needs to be called

## ◆ tag()

virtual TagLib::Tag * TagLib::WavPack::File::tag | ( |  | ) | const
| virtual

Returns the Tag for this file. This will be an APE tag, an ID3v1 tag or a combination of the two.

Implements TagLib::File.

The documentation for this class was generated from the following file:

- wavpackfile.h